umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DotPaintDevice Class Reference
Inheritance diagram for DotPaintDevice:

## Public Member Functions
| DotPaintDevice ()
| ~DotPaintDevice ()
virtual QPaintEngine * | paintEngine () const
QStringList & | data ()

## Protected Member Functions
virtual int | metric (PaintDeviceMetric metric) const

## Protected Attributes
DotPaintEngine * | m_engine

## Detailed Description

dot specific paint device

## Constructor & Destructor Documentation

## ◆ DotPaintDevice()

DotPaintDevice::DotPaintDevice | ( |  | ) |
| inline

## ◆ ~DotPaintDevice()

DotPaintDevice::~DotPaintDevice | ( |  | ) |
| inline

## Member Function Documentation

## ◆ data()

QStringList & DotPaintDevice::data | ( |  | ) |
| inline

## ◆ metric()

virtual int DotPaintDevice::metric | ( | PaintDeviceMetric | metric | ) | const
| inline protected virtual

## ◆ paintEngine()

virtual QPaintEngine * DotPaintDevice::paintEngine | ( |  | ) | const
| inline virtual

## Member Data Documentation

## ◆ m_engine

DotPaintEngine* DotPaintDevice::m_engine
| protected

The documentation for this class was generated from the following file:

- umbrello/dotgenerator.cpp